Author Topic: addressbook in compose window  (Read 61268 times)

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #60 on: February 25, 2010, 10:57:57 AM »
of course it's not saved automatically. in no time idiots would fill it with translations of body parts and really funny bodily functions.

it just gives you an easy way to translate the strings. you mail the saved file to me, and i'll release a new version with updates translations

Offline jvp

  • Newbie
  • *
  • Posts: 9
server error! (ok)
« Reply #61 on: March 05, 2010, 01:36:54 PM »
using #57's work-around, i am getting the subject displayed, supra, in the page after every action taken. the compose part seems to work fine and it goes back to the 'sent' box and updates the mail pane to include the just-sent mail.

however, clicking from folder to folder on the main page neither reads the appropriate mail nor displays the mail within the pane ... which becomes blank. does anyone have a clue.

i am using 1.4.2.min jquery and going back to 1.3.min alleviates the problem.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #62 on: March 05, 2010, 02:49:43 PM »
I uploaded a new version, 1.4.0. This fixes the drag problem of the window. This is due to a bug in the jquery plugin that I use. I fixed the bug, should work now for 1.4. No need to use a different jquery version.

Find it here:  Downloads - roundcube-plugins - Project Hosting on Google Code

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #63 on: March 05, 2010, 08:11:05 PM »
these are my plugins: array('admin_api','compose_addressbook')

it seems to have nothing to do with your plugin, but i cannot get 1.4, 1.4.1, or 1.4.2 to work as indicated previously. with 1.3 normal actions work just fine ... except for your pop-over which then does not read the book and is blank.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #64 on: March 06, 2010, 12:59:56 PM »
You'd better put that in a different post, as it has nothing to do with my plugin I think and people may not see your questions now.

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #65 on: March 06, 2010, 05:26:46 PM »
i agree there are >= 1.4  jquery problems, but everyone else is using 1.3 AND now going back to 1.3 and your plugin does not work.

so, yes, others should be warned that updating jquery past 1.3 will break much of roundcube. but, i believe -- until those problems are solved -- it seems judicious to make your plugin back-compatible with 1.3.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #66 on: March 06, 2010, 05:38:07 PM »
Thats pretty easy, just dont upgrade to version 1.4 of my plugin. Use 1.3.2. You can download that here:

Downloads - roundcube-plugins - Project Hosting on Google Code

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #67 on: March 06, 2010, 06:22:11 PM »
the problem with 1.3.2 is that you get the 'server error (ok)' and the pop-up also comes up blank ... while using jquery 1.3.

this is the problem. one cannot use anything beyond jquery 1.3 and have other things work and your plugin does not work with with 1.3. this make your plugin mutually exclusive with the rest of roundcube.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #68 on: March 06, 2010, 06:35:54 PM »
Im confused as to what you're trying to do.

Im currently at SVN 3252, and at that version RC is using jquery 1.4.1. My 1.4.0 version of this plugin works there.  1.3.2 works there too, except that the dragging of the popup doesnt work. Im running this in production with about 20,000 people.

If you're at an older release, before RC started using jquery 1.4.x, you should probably use my 1.3.2 version, i havent tested what my 1.4.0 version does there. The difference between the 2 versions of my plugin is minor and can be seen here:  Diff of jqDnR.js r28 - roundcube-plugins - Project Hosting on Google Code

If you are having problems with anything else than my plugin, like in your original post you mentioned not being able to read mail. That obviously has nothing to do with my plugin, and you should start a new thread so people can see whats up with it.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #69 on: March 06, 2010, 06:45:30 PM »
Im confused as to what you're trying to do.

Im currently at SVN 3252, and at that version RC is using jquery 1.4.1. My 1.4.0 version of this plugin works there.  1.3.2 works there too, except that the dragging of the popup doesnt work. Im running this in production with about 20,000 people.

If you're at an older release, before RC started using jquery 1.4.x, you should probably use my 1.3.2 version, i havent tested what my 1.4.0 version does there. The difference between the 2 versions of my plugin is minor and can be seen here:  Diff of jqDnR.js r28 - roundcube-plugins - Project Hosting on Google Code

If you are having problems with anything else than my plugin, like in your original post you mentioned not being able to read mail. That obviously has nothing to do with my plugin, and you should start a new thread so people can see whats up with it.

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #70 on: March 06, 2010, 06:48:05 PM »
please pardon me. i am using the last stable release 0.3.1. i guess i should have been aware that your plugin only works with latest svn against the new 0.4.0.

i guess i will have to await the release of 0.4.0 to enjoy your plugin.

once again, i am sorry i did not catch the stage of development you were in earlier.

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #71 on: March 06, 2010, 07:11:39 PM »
My plugin works fine with release 0.3.1. I just tested it. I downloaded a fresh 0.3.1, then installed my 1.3.2 plugin. Works fine. Release 0.3.1 uses jquery 1.3.2. This is packaged with roundcube, in programs/js/jquery-1.3.min.js.

I also tested my 1.4.0 version on 0.3.1, works fine as well. I see no problems as you're describing.  That doesnt mean there arent problems, just that I dont see them. Do you get any errors in your error log?

Why are you trying to install jquery 1.4.2 on roundcube 0.3.1? That probably does not work at all, as roundcube may use features that are deprecated or not working in jquery 1.4.x.  With roundcube 0.3.1, you do not need jquery 1.4, and should be able to use my 1.4.0 version without problems.

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #72 on: March 06, 2010, 07:53:42 PM »
i will reload a fresh 0.3.1 to double check. i downloaded some other plugins, but have not implemented any of them. perhaps something else outside the plugin dir got over-lain.

i do get the following error:
PHP Error: Failed to load config from /home/4ssl.us/web/box/plugins//compose_addressbook/config.inc.php (POST /box/?_task=mail&_action=plugin.get_addressbook?_task=&_action=)

although your .php calls for config.inc.php.dist, i made a copy as config.inc.php and this does not eliminate this error.

jquery versions:
when i saw #57's work-around, i just dropped in a link to 'jquery.latest.min.js' which is what i use to eliminate the need to change versions all over the place. the version was 1.4.2 and then i stepped back to 1.4.1 and 1.4.0 until i matched the #57 version. as explained, these did not work with what i have.

Offline jvp

  • Newbie
  • *
  • Posts: 9
addressbook in compose window
« Reply #73 on: March 06, 2010, 11:13:57 PM »
fresh 3.1 setup: blank addressbook pop-up.

[06-Mar-2010 20:08:57 -0800]: PHP Error: Failed to load config from /home/4ssl.us/web/box/3.1/plugins//compose_addressbook/config.inc.php (POST /box/3.1/?_task=mail&_action=plugin.get_addressbook?_task=&_action=)

Offline corbosman

  • Sr. Member
  • ****
  • Posts: 260
addressbook in compose window
« Reply #74 on: March 07, 2010, 05:13:36 AM »
So, give it a config.php. And make sure you have addressbook configured in the plugin if you're not using the default sql one.

I get the error too, but im seeing my addressbook. The error shouldnt cause it to be empty.

Are you using ldap by any chance? There are problems with ldap that i havent fixed yet.